#!/bin/bash

echo
echo "======================================="
echo " JDK"
echo

if [ ! -f jdk-1_5_0_*-linux-i586-rpm.bin ]
then
    echo " jdk-1_5_0_*-linux-i586-rpm.bin がありません。"
    echo
    exit 1
fi

VER=`ls jdk-1_5_0_*-linux-i586-rpm.bin | sed -e 's/^jdk-1_5_0_\(..\).*$/\1/'`

# fix 20060526

rm -f ~/.mozilla/firefox/pluginreg.dat

rm -f /usr/lib/mozilla/plugins/libjavaplugin_oji.so
rpm -e jdk java-1.5.0-sun-compat

# インストール

mkdir /tmp/java
cp jdk-1_5_0_$VER-linux-i586-rpm.bin /tmp/java
pushd /tmp/java >/dev/null

chmod +x jdk-1_5_0_$VER-linux-i586-rpm.bin
./jdk-1_5_0_$VER-linux-i586-rpm.bin

wget http://mirrors.dotsrc.org/jpackage/5.0/generic/non-free/SRPMS/java-1.5.0-sun-compat-1.5.0.09-1jpp.src.rpm
rpm -ivh java-1.5.0-sun-compat-1.5.0.09-1jpp.src.rpm


sed -e "s/^\(%define buildver \+\).*$/\1$VER/" /usr/src/redhat/SPECS/java-1.5.0-sun-compat.spec>java-1.5.0-sun-compat.spec
rpmbuild -bb java-1.5.0-sun-compat.spec
rpm -ivh /usr/src/redhat/RPMS/noarch/java-1.5.0-sun-compat-1.5.0.$VER-1jpp.noarch.rpm

popd >/dev/null
rm -rf /tmp/java

# フォント

pushd /usr/java/jdk1.5.0_$VER/jre/lib/ >/dev/null
mkdir fontconfig_backup
mv fontconfig.* fontconfig_backup/
popd >/dev/null
cp jre/lib/fontconfig.properties /usr/java/jdk1.5.0_$VER/jre/lib/

# 環境変数

sed -e "s|^\(export JAVA_HOME=/usr/java/jdk1.5.0_\).*$|\1$VER|" etc/profile.d/java.sh >/etc/profile.d/java.sh
chmod 755 /etc/profile.d/java.sh
source /etc/profile.d/java.sh

# alternatives

alternatives --set java /usr/lib/jvm/jre-1.5.0-sun/bin/java

